Package org.bukkit.help

# Class HelpTopicComparator

java.lang.Object
org.bukkit.help.HelpTopicComparator

All Implemented Interfaces:
  `Comparator<HelpTopic>`

public final class HelpTopicComparator extends Object implements Comparator<HelpTopic>
Used to impose a custom total ordering on help topics.

All topics are listed in alphabetic order, but topics that start with a slash come after topics that don't.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`HelpTopicComparator.TopicNameComparator`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(@NotNull HelpTopic lhs, @NotNull HelpTopic rhs)`
`static @NotNull HelpTopicComparator`
`helpTopicComparatorInstance()`
`static @NotNull HelpTopicComparator.TopicNameComparator`
`topicNameComparatorInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Method Details

### topicNameComparatorInstance

@NotNull public static @NotNull HelpTopicComparator.TopicNameComparator topicNameComparatorInstance()

### helpTopicComparatorInstance

@NotNull public static @NotNull HelpTopicComparator helpTopicComparatorInstance()

### compare

public int compare(@NotNull @NotNull HelpTopic lhs, @NotNull @NotNull HelpTopic rhs)

Specified by:
  `compare` in interface `Comparator<HelpTopic>`